Bug 967615 (CVE-2013-2765) - mod_security: NULL pointer dereference (DoS, crash) when forceRequestBodyVariable action triggered and unknown Content-Type was used
Summary: mod_security: NULL pointer dereference (DoS, crash) when forceRequestBodyVari...
Status: CLOSED UPSTREAM
Alias: CVE-2013-2765
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20130527,repor...
Keywords: Security
Depends On: 967775 967776
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-27 15:26 UTC by Othman Madjoudj
Modified: 2019-06-10 11:00 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-10 11:00:41 UTC


Attachments (Terms of Use)

Description Othman Madjoudj 2013-05-27 15:26:04 UTC
Description of problem:


Modsecurity 2.7.4 was released today, according to the changelog there a null pointer dereference flaw


.....

Security Issues:

    * Fixed Remote Null Pointer DeReference (CVE-2013-2765). When forceRequestBodyVariable action is triggered and a unknown Content-Type is used,
      mod_security will crash trying to manipulate msr->msc_reqbody_chunks->elts however msr->msc_reqbody_chunks is NULL. (Thanks Younes JAAIDI).

......

URL: https://raw.github.com/SpiderLabs/ModSecurity/master/CHANGES

Comment 1 Othman Madjoudj 2013-05-27 15:35:12 UTC
PS.
I'm mod_security maintainer, I'll prepare an update once the child bugreports for fedora and epel are created.

Thanks.

Comment 3 Jan Lieskovsky 2013-05-28 10:07:46 UTC
This issue affects the versions of the mod_security package, as shipped with Fedora release of 17 and 18. Please schedule an update.

--

This issue affects the versions of the mod_security package, as shipped with Fedora EPEL-5 and Fedora EPEL-6. Please schedule an update.

Comment 4 Jan Lieskovsky 2013-05-28 10:08:33 UTC
Created mod_security tracking bugs for this issue

Affects: fedora-all [bug 967775]
Affects: epel-all [bug 967776]

Comment 5 Fedora Update System 2013-06-06 01:34:10 UTC
mod_security-2.7.3-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-06-06 01:39:07 UTC
mod_security-2.7.3-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-06-06 02:23:55 UTC
mod_security-2.7.3-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-06-12 20:08:12 UTC
mod_security-2.7.3-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-06-12 20:09:25 UTC
mod_security-2.6.8-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Product Security DevOps Team 2019-06-10 11:00:41 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.